package com.qs.mp.admin.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.qs.mp.common.enums.ValidityPeriodEnum;
import lombok.Data;
import org.apache.pulsar.shade.io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @describe 兑换码组实体类
 * @auther quanshu
 * @create 2023-05-16 17:19:30
 */
@TableName("mp_cd_key_group")
@Data
public class CdKeyGroup implements Serializable {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
         @TableId(value = "group_id", type = IdType.INPUT)
    private String groupId;

        /**
     * 渠道id
     */
         @TableField("channel_id")
    private Long channelId;

        /**
     * 门店名称
     */
         @TableField("site_name")
    private String siteName;

        /**
     * 兑换码数量
     */
         @TableField("quantity")
    private Integer quantity;

        /**
     * 已兑数量
     */
         @TableField("cashed_qty")
    private Integer cashedQty;

        /**
     * 未兑数量
     */
         @TableField("remain_qty")
    private Integer remainQty;

        /**
     * 状态,未激活nonactivated/已激活activated/已失效invalid
     */
         @TableField("status")
    private String status;

        /**
     * 有效期,三个月threeMonths/六个月sixMonths/forever永久
     */
         @TableField("validity_period")
         private String validityPeriod;

        /**
     * 创建时间
     */
         @TableField("created_time")
    private Date createdTime;

        /**
     * 更新时间
     */
         @TableField("updated_time")
    private Date updatedTime;

        /**
     * 激活时间
     */
         @TableField("activation_time")
    private Date activationTime;

        /**
     * 逻辑删除标识
     */
         @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}